> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pending Auto Schedule Posts

> Retrieve every auto schedule post that is still pending and not yet published, using a GET request to /auto-schedule/pending with your API key header.

Retrieve all the pending (not yet published) auto schedule posts.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

```javascript cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/auto-schedule/pending
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";

fetch("https://api.ayrshare.com/api/auto-schedule/pending", {
      method: "GET",
      headers: {
        "Authorization": `Bearer ${API_KEY}`
      }
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

headers = {'Authorization': 'Bearer API_KEY'}

r = requests.get('https://api.ayrshare.com/api/auto-schedule/pending', headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php

$API_KEY = "API_KEY";

$ch = curl_init();

curl_setopt_array($ch, [
CURLOPT_URL => "https://api.ayrshare.com/api/auto-schedule/pending",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer " . $API_KEY
]
]);

$response = curl_exec($ch);

if (curl_errno($ch)) {
echo 'Error: ' . curl_error($ch);
} else {
$json = json_decode($response, true);
print_r($json);
}

curl_close($ch);

```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Threading.Tasks;

namespace AutoSchedulePendingGETRequest_csharp
{
    class AutoSchedulePending
    {
        private static readonly HttpClient client = new HttpClient();

        static async Task Main(string[] args)
        {
            string API_KEY = "API_KEY";
            string url = "https://api.ayrshare.com/api/auto-schedule/pending";

            client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);

            try
            {
                HttpResponseMessage response = await client.GetAsync(url);
                response.EnsureSuccessStatusCode();
                string responseBody = await response.Content.ReadAsStringAsync();
                Console.WriteLine(responseBody);
            }
            catch (HttpRequestException e)
            {
                Console.WriteLine($"Error: {e.Message}");
            }
        }
    }
}
```

```json 200: Pending Posts theme={"system"}
{
  "status": "success",
  "posts": [
    {
      "id": "Ut1fWU6XkqkMayHGnJZ",
      "post": "Today is a great day!",
      "platforms": ["facebook", "instagram"],
      "status": "pending",
      "autoScheduled": true,
      "scheduleDate": "2026-11-02T14:00:00Z",
      "created": "2026-10-27T09:12:44Z"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.